library typed_pipe_config;

import 'package:struct_transfer/struct_transfer.dart';
import "dart:async";

IsyumiPipe getPipe(
                   Stream<String> in_data,
                   void out_data(String str)) => new IsyumiPipe(new TransferBuilder(in_data,out_data)); 

class IsyumiPipe extends Transfer{
  
  final UrlStruct url;
  final AddStruct addDiv;
  
  IsyumiPipe(TransferBuilder tb):
    super(tb),
    url = new UrlStruct(tb.getStructBuilder()),
    addDiv = new AddStruct(tb.getStructBuilder());
}

class UrlStruct extends Struct{
  
  StringParam url;
  
  UrlStruct(StructBuilder sb):
    super(sb),
    url = sb.stringParam();
  
}

class AddStruct extends Struct{
  final IntParam parent;
  
  AddStruct(StructBuilder sb):super(sb),parent = sb.intParam();
  
}